<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <style>

        /* Allgemeiner Style der html Datei */
        body {
            font-family: 'Nunito', sans-serif;
            background-color: rgba(246, 246, 246, 255);
        }

        /* Container enthält Anmeldefeld */
        .login-container {

            /* Design des Containers */
            border-radius: 0.125em;
            background-color: gainsboro;
            border: 2px solid #666;
            box-shadow: 0.2vw 0.2vw 0.2vw rgba(0, 0, 0, 0.5);

            /* Position und Größe des Containers */
            width: fit-content;
            margin: 0 auto;
            margin-top: 5%;

            /* Abstand des Inhalts vom Container */
           padding: 2rem 1rem 2rem 4.5rem;

        }


        .login-ueberschrift {
            margin-bottom: 5%;
            font-weight: 800;
            text-decoration: underline;
        }


        /*Button um Benutzerdaten zu bestätigen*/
        .admin-login {
            /* Position des Buttons */
            display: flex;
            align-items: center;
            padding: 3px 7px;
            padding-bottom: 5px;
            margin-top: 3%;

            /* Design und Rand des Buttons*/
            border-radius: 6px;
            border: 1px solid rgba(0, 0, 0, 0.1);
            box-shadow: 0.5vw 0.5vw 0.5vw rgba(0, 0, 0, 0.2);

            /* Schrift des Knopfs */
            color: black;
            font-weight: 800;
            font-size: 12.5px;
            
        }

        .admin-login:hover{
            background-color: #c00c24;
            border-radius: 6px;
            color:white;
        }


        .admin-login:focus {
            box-shadow: inset 0px 0.8px 0px -0.25px rgba(255, 255, 255, 0.2), 0px 0.5px 1.5px rgba(54, 122, 246, 0.25), 0px 0px 0px 3.5px rgba(58, 108, 217, 0.5);
            outline: 0;
        }

        .home {
            width: 100%;
            display: flex;
            justify-content: flex-end;
        }

        /* Design Home-button */
        .home-button {
            width: 100px;
            filter: grayscale(1) brightness(220%);
        }
    

        .home-button:hover {
            filter: none;
        }


    </style>
</head>
<body>

<div class="home">
    {% load static %}<input type="image" src="{% static 'media/home.svg' %}"
                            onclick="window.location.href='{% url 'home' %}'" class="home-button" value="Login"/>
</div>

<div class="login-container">
    <div class="card mt-5" style="width: 13rem; height: fit-content;">
        <div class="login-ueberschrift">Login</div>
        <div class="card-body">
            <form class="form" role="form" method="POST">
                {% csrf_token %} 
                {{ form.as_p }} 
                <button type="submit" class="admin-login">Login</button>
            </form>
        </div>
    </div>
</div>

</body>
</html>